| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Protected Member Functions | List of all members
InterfaceFrame Class Reference

A frame containing the list of interfaces available for capture, along with status and controls. More...

`#include <interface_frame.h>`

Inheritance diagram for InterfaceFrame:

## Public Slots
void | updateSelectedInterfaces ()
| Updates the UI state based on currently selected interfaces.
void | interfaceListChanged ()
| Handles updates when the global interface list changes.
void | toggleHiddenInterfaces ()
| Toggles the visibility of hidden interfaces in the list.
void | showRunOnFile ()
| Triggers the action to run wireshark/tshark on a file.
void | showContextMenu (QPoint pos)
| Shows the context menu for the interface list.

## Signals
void | showExtcapOptions (QString device_name, bool startCaptureOnClose)
| Signal emitted to show the extended capture (extcap) options dialog for a device.
void | startCapture (QStringList interfaces)
| Signal emitted to initiate a capture session.
void | itemSelectionChanged ()
| Signal emitted when the item selection in the interface list changes.
void | typeSelectionChanged ()
| Signal emitted when the selected interface type filter changes.

## Public Member Functions
| InterfaceFrame (QWidget *parent=0)
| Constructs a new InterfaceFrame.
| ~InterfaceFrame ()
| Destroys the InterfaceFrame.
int | interfacesHidden ()
| Gets the number of currently hidden interfaces.
QMenu * | getSelectionMenu ()
| Retrieves the selection menu associated with the interface list.
int | interfacesPresent ()
| Gets the total number of interfaces present.
void | ensureSelectedInterface ()
| Ensures at least one interface is selected, if possible.

## Protected Member Functions
void | changeEvent (QEvent *evt) override
| Handles change events; re-fits the interface tree columns when the widget is re-polished (works around QTBUG-122109).
void | resizeEvent (QResizeEvent *evt) override
| Handles resize events; re-fits the interface tree columns so the name column cap (and the room left for the sparkline) tracks the available width.

## Detailed Description

A frame containing the list of interfaces available for capture, along with status and controls.

## Constructor & Destructor Documentation

## ◆ InterfaceFrame()

InterfaceFrame::InterfaceFrame | ( | QWidget * | parent = 0 | ) |
| explicit

Constructs a new InterfaceFrame.

Parameters

  parent | The parent widget, defaults to 0.

## Member Function Documentation

## ◆ changeEvent()

void InterfaceFrame::changeEvent | ( | QEvent * | evt | ) |
| override protected

Handles change events; re-fits the interface tree columns when the widget is re-polished (works around QTBUG-122109).

Parameters

  evt | The change event.

## ◆ getSelectionMenu()

QMenu * InterfaceFrame::getSelectionMenu | ( |  | ) |

Retrieves the selection menu associated with the interface list.

Returns
  A pointer to the QMenu.

## ◆ interfacesHidden()

int InterfaceFrame::interfacesHidden | ( |  | ) |

Gets the number of currently hidden interfaces.

Returns
  The count of hidden interfaces.

## ◆ interfacesPresent()

int InterfaceFrame::interfacesPresent | ( |  | ) |

Gets the total number of interfaces present.

Returns
  The count of present interfaces.

## ◆ resizeEvent()

void InterfaceFrame::resizeEvent | ( | QResizeEvent * | evt | ) |
| override protected

Handles resize events; re-fits the interface tree columns so the name column cap (and the room left for the sparkline) tracks the available width.

Parameters

  evt | The resize event.

## ◆ showContextMenu

void InterfaceFrame::showContextMenu | ( | QPoint | pos | ) |
| slot

Shows the context menu for the interface list.

Parameters

  pos | The position where the context menu was requested.

## ◆ showExtcapOptions

void InterfaceFrame::showExtcapOptions | ( | QString | device_name,
|  | bool | startCaptureOnClose )
| signal

Signal emitted to show the extended capture (extcap) options dialog for a device.

Parameters

  device_name | The name of the device.
  startCaptureOnClose | True if capture should start automatically upon closing the options dialog.

## ◆ startCapture

void InterfaceFrame::startCapture | ( | QStringList | interfaces | ) |
| signal

Signal emitted to initiate a capture session.

Parameters

  interfaces | A list of interface names to capture from.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/interface_frame.h
- /builds/wireshark/wireshark/ui/qt/interface_frame.cpp